<?php
/**
 * The template for displaying Archive pages.
 *
 * @package WordPress
 * @subpackage Eviro
 * based on WP-Bootstrap
 */
get_header(); ?>

    <?php if (have_posts()) :
    // Queue the first post.
    the_post(); ?>

    <div class="container">
        <div class="row">
            <div class="span12">
                <?php if (function_exists('eviro_breadcrumbs')) {
                eviro_breadcrumbs();
            } ?>
            </div>
        </div>

        <div class="row content">
            <div class="span9">

                <header class="page-title">
                    <h1><?php
                        if (is_day()) {
                           ?>Daily Archives<?php echo get_the_date();  
                        } elseif (is_month()) {
                           ?>Monthly Archives<?php echo get_the_date();   
                        } elseif (is_year()) {
                            ?>Yearly Archives<?php echo get_the_date();  
                        } elseif (is_tag()) {
                            ?>Tag Archives<?php echo single_tag_title('', false);
                            $tag_description = tag_description();
                            if ($tag_description) {
                                echo apply_filters(
                                    'tag_archive_meta',
                                    '<div class="tag-archive-meta">' . $tag_description . '</div>'
                                );
                            }
                        } elseif (is_category()) {
                           ?>Category Archives<?php echo single_cat_title('', false); 
                            // Show an optional category description
                            $category_description = category_description();
                            if ($category_description) {
                                echo apply_filters(
                                    'category_archive_meta',
                                    '<div class="category-archive-meta">' . $category_description . '</div>'
                                );
                            }
                        } else {
                           ?>Blog Archives<?php
						                           }
                        ?></h1>
                </header>
                <?php
                // Rewind the loop back
                    rewind_posts();
                ?>

                <?php while (have_posts()) : the_post(); ?>
                    <div <?php post_class(); ?>>
                        <a href="<?php the_permalink(); ?>" title="<?php the_title();?>"><h3><?php the_title();?></h3></a>

                        <p class="meta"><?php echo eviro_posted_on();?></p>

                        <div class="row">
                            <?php // Post thumbnail conditional display.
                            if ( eviro_autoset_featured_img() !== false ) : ?>
                                <div class="span2">
                                    <a href="<?php the_permalink(); ?>" title="<?php  the_title_attribute( 'echo=0' ); ?>">
                                        <?php echo eviro_autoset_featured_img(); ?>
                                    </a>
                                </div>
                                <div class="span6">
                            <?php else : ?>
                                <div class="span8">
                            <?php endif; ?>
                                    <?php the_excerpt(); ?>
                                </div>
                        </div><!-- /.row -->

                        <hr/>
                    </div><!-- /.post_class -->
                <?php endwhile; ?>

                <?php eviro_content_nav('nav-below');?>

            <?php endif; ?>
        </div>

    <?php get_sidebar('blog'); ?>
    <?php get_footer(); ?>