<?php
/**
 * Description: Default Front-page template to display loop of blog posts
 *
 * @package WordPress
 * @subpackage Eviro
 * based on WP-Bootstrap
 */
get_header(); ?>
<div class="container">
    <div class="row">
        <div class="span12">
            <?php if (function_exists('eviro_breadcrumbs')) {
                eviro_breadcrumbs();
            } ?>
        </div><!--/.span12 -->
    </div><!--/.row -->

    <div class="row content">
        <div class="span9">

            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                <div <?php post_class(); ?>>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title();?>">
                        <h3><?php the_title();?></h3>
                    </a>
                    <p class="meta">
                        <?php echo eviro_posted_on();?>
                    </p>

                    <div class="row">
                        <?php // Post thumbnail conditional display.
                        if ( eviro_autoset_featured_img() !== false ) : ?>
                            <div class="span2">
                                <a href="<?php the_permalink(); ?>" title="<?php  the_title_attribute( 'echo=0' ); ?>">
                                    <?php echo eviro_autoset_featured_img(); ?>
                                </a>
                            </div>
                            <div class="span7">
                        <?php else : ?>
                            <div class="span9">
                        <?php endif; ?>
                                <?php the_excerpt(); ?>
                                <a href='<?php echo get_permalink(); ?>'>Read more</a> 
                            </div>
                    </div><!-- /.row -->

                    <hr/>
                </div><!-- /.post_class -->
            <?php endwhile; endif; ?>

            <?php eviro_content_nav('nav-below');?>
        </div>

    <?php get_sidebar('blog'); ?>
    <?php get_footer(); ?>