<?php
/**
 * Template Name: Page - Blog Template
 * Description: Displays blog posts with pagination and featured image.
  * @package WordPress
 * @subpackage Eviro
 * based on WP-Bootstrap
 */
get_header(); ?>
<div class="container">
    <div class="row">
        <div class="span12">
            <?php if (function_exists('eviro_breadcrumbs')) {
                eviro_breadcrumbs();
            } ?>
        </div>
    </div><!--/.row -->

    <div class="row content">
        <div class="span9">
            <?php while (have_posts()) : the_post(); ?>
            	 <div <?php post_class(); ?>>
            	 	<header class="page-title">
                 	   <h1><?php the_title();?></h1>
                	</header>
	                <?php the_content(); ?>
    	            <hr/>
				</div>
            <?php // reset the loop
            endwhile;
            wp_reset_query(); ?>

            <?php // Blog post query
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            query_posts(array('post_type' => 'post', 'paged' => $paged, 'showposts' => 0));
            if (have_posts()) : while (have_posts()) : the_post(); ?>

                <div <?php post_class(); ?>>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title();?>">
                        <h3><?php the_title();?></h3>
                    </a>
                    <p class="meta">
                        <?php echo eviro_posted_on();?>
                    </p>

                    <div class="row">
                        <?php // Post thumbnail conditional display.
                        if ( eviro_autoset_featured_img() !== false ) : ?>
                            <div class="span2">
                                <a href="<?php the_permalink(); ?>" title="<?php  the_title_attribute( 'echo=0' ); ?>">
                                    <?php echo eviro_autoset_featured_img(); ?>
                                </a>
                            </div>
                            <div class="span6">
                        <?php else : ?>
                            <div class="span8">
                        <?php endif; ?>
                                <?php the_excerpt(); ?>
                                <a href='<?php echo get_permalink(); ?>'>Read more</a> 
                            </div>
                    </div><!-- /.row -->

                    <hr/>
                </div><!-- /.post_class -->

            <?php // end of blog post loop.
            endwhile; endif; ?>

            <?php eviro_content_nav('nav-below');?>
        </div>

    <?php get_sidebar('blog'); ?>
    <?php get_footer(); ?>