<?php
/**
 * Search Results Template
 *
 * @package WordPress
 * @subpackage Eviro
 * based on WP-Bootstrap
 */
get_header(); ?>
<div class="container">
    <div class="row">
        <div class="span12">
            <?php if (function_exists('eviro_breadcrumbs')) {
                eviro_breadcrumbs();
            } ?>
        </div>
    </div><!--/.row -->

	<div class="row content">
        <div class="span12">
            <?php if (have_posts()) : ?>
                 <header class="post-title">
                     <h1>Search Results for: <?php echo get_search_query(); ?></h1>
                 </header>

    		  <?php while (have_posts()) : the_post(); ?>
                <div <?php post_class(); ?>>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title();?>">
                        <h3><?php the_title();?></h3>
                    </a>
                    <p class="meta">
                        <?php echo eviro_posted_on();?>
                    </p>

                    <div class="row">
                        <?php // Post thumbnail conditional display.
                        if ( eviro_autoset_featured_img() !== false ) : ?>
                            <div class="span2">
                                <a href="<?php the_permalink(); ?>" title="<?php  the_title_attribute( 'echo=0' ); ?>">
                                    <?php echo eviro_autoset_featured_img(); ?>
                                </a>
                            </div>
                            <div class="span6">
                        <?php else : ?>
                            <div class="span9">
                        <?php endif; ?>
                                <?php the_excerpt(); ?>
                            </div>
                    </div><!-- /.row -->

                    <hr/>
                </div><!-- /.post_class -->
             <?php endwhile; ?>

            <?php else : ?>
            	<div class="row content">
                    <div class="span8">
                        <header class="post-title">
                            <h1>No Results Found</h1>
                        </header>
                        <p class="lead">It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps you should try again with a different search term.</p>
                        <div class="well">
                            <?php get_search_form(); ?>
                        </div><!--/.well -->
             <?php endif;?>

             <?php eviro_content_nav('nav-below'); ?>
        </div>

    <?php get_sidebar(); ?>
    <?php get_footer(); ?>